Package | Class | Use | Tree | Deprecated | Index | Help
| Doclet API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface MethodDoc

All Superinterfaces:
  Comparable, Doc, ExecutableMemberDoc, MemberDoc, ProgramElementDoc

public interface MethodDoc
extends ExecutableMemberDoc

Represents a method of a java class.

Since:
  JDK1.2

Method Summary
`boolean` | `isAbstract()` Return true if this method is abstract
`ClassDoc` | `overriddenClass()` Return the class containing the method that this method overrides.
`MethodDoc` | `overriddenMethod()` Return the method that this method overrides.
`Type` | `returnType()` Get return type.

Methods inherited from interface com.sun.javadoc.ExecutableMemberDoc
`flatSignature, isNative, isSynchronized, parameters, paramTags, signature, thrownExceptions, throwsTags`

Methods inherited from interface com.sun.javadoc.MemberDoc
`isSynthetic`

Methods inherited from interface com.sun.javadoc.ProgramElementDoc
`containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

Methods inherited from interface com.sun.javadoc.Doc
`commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isClass, isConstructor, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

Method Detail

### isAbstract

    public boolean isAbstract()

  Return true if this method is abstract

### returnType

    public Type returnType()

  Get return type.

  Returns:
    the return type of this method, null if it is a constructor.

### overriddenClass

    public ClassDoc overriddenClass()

  Return the class containing the method that this method overrides.

  Returns:
    a ClassDoc representing the superclass defining a method that this method overrides, null if this method does not override.

### overriddenMethod

    public MethodDoc overriddenMethod()

  Return the method that this method overrides.

  Returns:
    a MethodDoc representing a method definition in a superclass this method overrides, null if this method does not override.

Package | Class | Use | Tree | Deprecated | Index | Help
| Doclet API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.